xine-lib: opengl_frame_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
opengl_frame_t Struct Reference

## Data Fields
vo_frame_t | vo_frame
int | width
int | height
int | format
int | flags
double | ratio
uint8_t * | rgb
uint8_t * | rgb_dst
yuv2rgb_t * | yuv2rgb

## Field Documentation

## ◆ flags

int opengl_frame_t::flags

Referenced by opengl_update_frame_format().

## ◆ format

int opengl_frame_t::format

Referenced by opengl_frame_proc_slice(), opengl_overlay_blend(), opengl_update_frame_format(), and render_image_fp_yuv().

## ◆ height

int opengl_frame_t::height

Referenced by opengl_display_frame(), opengl_overlay_blend(), opengl_update_frame_format(), render_cyl(), render_draw(), render_env_tor(), render_image_envtex(), render_image_fp_yuv(), render_image_tex(), render_image_tiledtex(), render_tex2d(), and render_tex2dtiled().

## ◆ ratio

double opengl_frame_t::ratio

Referenced by opengl_display_frame(), and opengl_update_frame_format().

## ◆ rgb

uint8_t* opengl_frame_t::rgb

Referenced by opengl_frame_dispose(), opengl_frame_field(), opengl_overlay_blend(), opengl_update_frame_format(), render_draw(), render_image_tex(), and render_image_tiledtex().

## ◆ rgb_dst

uint8_t * opengl_frame_t::rgb_dst

Referenced by opengl_frame_field(), opengl_frame_proc_slice(), and opengl_overlay_blend().

## ◆ vo_frame

vo_frame_t opengl_frame_t::vo_frame

Referenced by opengl_alloc_frame(), opengl_display_frame(), opengl_frame_dispose(), opengl_frame_proc_slice(), opengl_overlay_blend(), opengl_update_frame_format(), render_image_fp_yuv(), and render_run().

## ◆ width

int opengl_frame_t::width

Referenced by opengl_display_frame(), opengl_frame_field(), opengl_overlay_blend(), opengl_update_frame_format(), render_cyl(), render_draw(), render_env_tor(), render_image_envtex(), render_image_fp_yuv(), render_image_tex(), render_image_tiledtex(), render_tex2d(), and render_tex2dtiled().

## ◆ yuv2rgb

yuv2rgb_t* opengl_frame_t::yuv2rgb

Referenced by opengl_alloc_frame(), opengl_frame_dispose(), opengl_frame_field(), opengl_frame_proc_slice(), opengl_overlay_clut_yuv2rgb(), and opengl_update_frame_format().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/video_out_opengl.c